body{
margin:0;
overflow-x:hidden;
background:#ffffff;
font-family:Arial, Helvetica, sans-serif;
}




.logo{
    width:204px;
    position:absolute;
    top:0px;
    left:0px;
    z-index:10;
    cursor:pointer;
    transition:0.3s;
    filter:drop-shadow(0 0 5px rgba(0,0,0,0.5));
}

/* efekt pri najeti na logo */
.logo:hover{
    transform:scale(1.05);
    filter:brightness(1.2);
}




/* horni cerny pruh */
.hornipruh{
    position:absolute;
    top:0;
    left:200px;
    width:calc(100% - 200px);
    height:115px;
    background-color:black;
}

/* sedy pruh */
.sedypruh{
    width:100%;
    height:35px;
    background-color:#444;
    color:white;
    display:flex;
    align-items:center;
    justify-content:space-between;
    padding:0 30px;
    font-size:14px;
    font-weight:bold;
    box-sizing:border-box;
}

.kontakt{
    display:flex;
    align-items:center;
    gap:40px;
}

.kontakt a{
    color:white;
    text-decoration:none;
    font-weight:bold;
}

.social{
    display:flex;
    align-items:center;
    gap:20px;
    margin-right:20px;
}

.social a{
    width:30px;
    height:30px;
    border:2px solid white;
    display:flex;
    align-items:center;
    justify-content:center;
    color:white;
    text-decoration:none;
    transition:0.3s;
    margin-left:0;
}

.social a:hover{
    background:#ff2a2a;
    border-color:#ff2a2a;
}





.sedypruh a{
    color:white;
    text-decoration:none;
    font-weight:bold;
    
}


/* menu v cernem pruhu */
.menu{
    display:flex;
    align-items:center;
    gap:70px;
    height:86px; /* zbytek po sedem pruhu */
    padding-left:40px;
}

/* odkazy menu */
.menu a{
    color:white;
    text-decoration:none;
    font-size:22px;
    font-weight:700;
    letter-spacing:1px;
    padding:0 20px;
    height:74px;
    display:flex;
    align-items:center;

}

/* efekt kdyz najedes mysi */
.menu a:hover{
    background-color:#ff2a2a;
    color:white;
}





/* hlavni obrazek na uvodni strance */
.hero{
    width:100%;
    margin-top:140px;
    position:relative;
}


.hero img{
    width:100%;
    height:auto;
    display:block;
}

.hero::after{
    content:"";
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,0.35);
}


/* text pres obrazek */
.hero-text{
    display:flex;
    flex-direction:column;
    align-items:center;
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%, -50%);
    text-align:center;
    color:white;
    z-index:2;
    width:100%;
    max-width:900px;
    padding:0 20px;
    margin:0 auto;
}

.hero-popis{
    display:block;
    font-size:20px;
    line-height:1.6;
    text-align:center;
    margin:30px auto 0 auto;
    max-width:600px;
    color:white;
}

/* hlavni nadpis */
.hero-text h1{
    font-size:clamp(36px, 7vw, 80px);
    margin:0;
    font-weight:800;
    line-height:1;
}

/* podnadpis */
.hero-text p{
    font-size:30px;
    margin:15px 0 30px 0;
    font-weight:500;
    letter-spacing:1px;
}

/* tlacitko */
.hero-button{
    display:inline-block;
    background-color:#ff2a2a;
    color:white;
    text-decoration:none;
    padding:18px 40px;
    font-size:22px;
    font-weight:bold;
    border-radius:6px;
    transition:0.3s;
    margin-top:100px;
}

/* efekt tlacitka */
.hero-button:hover{
    background-color:#cc0000;
    transform:scale(1.05);
}



/* sekce sluzby */

.sluzby{
    padding:80px 10%;
    text-align:center;
    background:#f5f5f5;
}

.sluzby h2{
    font-size:40px;
    margin-bottom:50px;
}

.sluzby-box{
    display:flex;
    justify-content:center;
    gap:50px;
}

.sluzba{
    background:white;
    padding:30px;
    width:300px;
    border-radius:8px;
    border-top:4px solid #ff2a2a;
    box-shadow:0 5px 20px rgba(0,0,0,0.1);
    transition:0.3s;
}


.sluzba:hover{
    transform:translateY(-10px);
    box-shadow:0 15px 35px rgba(0,0,0,0.2);
    border-top:6px solid #ff2a2a;
}

.sluzba h3{
    margin-bottom:15px;
font-size:24px;
font-weight:700;
}

.sluzba p{
    color:#222;
font-size:18px;
line-height:1.6;
font-weight:500;
}



.hero-sluzby{
list-style:none;
padding:0;
margin:25px 0;
font-size:22px;
font-weight:500;
}

.hero-sluzby li{
margin:10px 0;
}

.hero-sluzby li::before{
content:"✔ ";
color:#ff2a2a;
font-weight:bold;
}


.hero-popis{
position:relative;
top:100px;
font-size:18px;
max-width:700px;
margin-left:auto;
margin-right:auto;
line-height:1.5;
color:white;
}



/* sekce postup cisteni */

.postup{
padding:80px 10%;
text-align:center;
background:white;
}

.postup h2{
font-size:40px;
margin-bottom:50px;
}

.postup-box{
display:flex;
justify-content:center;
gap:40px;
flex-wrap:wrap;
}

.krok{
width:200px;
}

.krok h3{
font-size:40px;
color:#ff2a2a;
margin-bottom:10px;
}

.krok p{
color:#111;
line-height:1.6;
font-size:18px;
font-weight:500;
}


.postup-exterier{
background:#f5f5f5;
}

.postup-exterier h2{
color:#111;
}











/* sekce pred po */

.pred-po{
padding:80px 10%;
background:#f2f2f2;
text-align:center;
}

.pred-po h2{
font-size:40px;
margin-bottom:50px;
}

/* grid obrazku */

.predpo-grid{
display:grid;
grid-template-columns:repeat(2,1fr);
gap:40px;
max-width:1200px;
margin:auto;
}

.predpo-box{
background:white;
padding:15px;
border-radius:8px;
box-shadow:0 5px 20px rgba(0,0,0,0.1);
}

.predpo-box img{
width:100%;
border-radius:5px;
}

.predpo-box p{
margin-top:10px;
font-weight:bold;
font-size:18px;
}






/* lightbox efekt */

.predpo-box a{
display:block;
}

.predpo-box img{
transition:0.3s;
cursor:pointer;
}

.predpo-box img:hover{
transform:scale(1.05);
}





/* lightbox galerie */

.lightbox{
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
background:rgba(0,0,0,0.9);
display:none;
justify-content:center;
align-items:center;
z-index:999;
}

.lightbox img{
max-width:90%;
max-height:90%;
border-radius:8px;
}

.lightbox:target{
display:flex;
}





/* sekce vyhody */

.vyhody{
padding:80px 10%;
background:white;
text-align:center;
}

.vyhody h2{
font-size:40px;
margin-bottom:50px;
}

.vyhody-box{
display:grid;
grid-template-columns:repeat(4,1fr);
gap:40px;
max-width:1200px;
margin:auto;
}

.vyhoda{
background:#f5f5f5;
padding:30px;
border-radius:8px;
box-shadow:0 5px 20px rgba(0,0,0,0.1);
transition:0.3s;
}

.vyhoda:hover{
transform:translateY(-8px);
}

.vyhoda h3{
color:#ff2a2a;
margin-bottom:10px;
}

.vyhoda p{
font-size:17px;
line-height:1.6;
}








/* objednavka sekce */

.cta{
padding:80px 10%;
background:#111;
text-align:center;
color:white;
}

.cta h2{
font-size:40px;
margin-bottom:20px;
}

.cta p{
font-size:22px;
margin-bottom:40px;
}

.cta-button{
background:#ff2a2a;
color:white;
text-decoration:none;
padding:20px 50px;
font-size:22px;
font-weight:bold;
border-radius:6px;
transition:0.3s;
}

.cta-button:hover{
background:#cc0000;
transform:scale(1.05);
}





/* footer */

.footer{
background:#000;
color:white;
text-align:center;
padding:40px 10%;
font-size:16px;
}





/* sekce znacky chemie */

.znacky{
padding:80px 10%;
background:#ffffff;
text-align:center;
}

.znacky h2{
font-size:36px;
margin-bottom:50px;
}

.znacky-grid{
display:flex;
justify-content:center;
align-items:center;
gap:60px;
flex-wrap:wrap;
}

.znacky-grid img{
height:60px;
opacity:0.7;
transition:0.3s;
}

.znacky-grid img:hover{
opacity:1;
transform:scale(1.1);
}

.priplatky .cenik-karta{
background:#f7f7f7;
border:1px dashed #ccc;
}







.footer a{
color:#ff2a2a;
font-weight:bold;
text-decoration:none;
}

.footer a:hover{
text-decoration:underline;
}


